Which is the version of php_zip extension recommended for PHPExcel? to avoid a ZipArchive bug

Topics: User Forum
Jul 30, 2012 at 11:10 AM

I have the same problem like this discussion http://phpexcel.codeplex.com/discussions/45917/

From the link I mentioned above, they said the solution of this problem is install the correct version of php_zip, but what is that version?

I'm using VPS and it's private.

This is the version of PHP I'm using

- PHP 5.3.15 (I MUST use PHP 5.3+ for some reason)
- php_zip 1.11.0

or do you have any solution to fix this bug without updating php or it's extension please tell me.

Thanks in advance

Coordinator
Jul 30, 2012 at 11:48 PM

The latest version that you can safely run with your version of PHP.

If you're writing zipped formats (such as Excel2007), then the alternative is to use PCLZip by calling

PHPExcel_Settings::setZipClass(PHPExcel_Settings::PCLZIP);

before instantiating your writer